Bug 470373 - screenruler needs to be calibrated
screenruler needs to be calibrated
Product: Fedora
Classification: Fedora
Component: screenruler (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Deji Akingunola
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2008-11-06 17:09 EST by Sjoerd Mullender
Modified: 2009-07-14 10:04 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2009-07-14 10:04:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Sjoerd Mullender 2008-11-06 17:09:57 EST
Description of problem:
My laptop screen is 1920x1200 pixels and 366x228 mm (14.4x9.0 inch).  xdpyinfo tells me the screen is 372x231 mm which is close enough.  The calculated dpi of my screen is therefore 133 in both directions, and xdpyinfo says its 131x132.  However, screenruler tells me the screen is 487x305 mm (19.2x12.0 inch) which is way off.  Looking at the numbers, I realize screenruler just seems to use 100 dpi.

This makes the program utterly useless to measure anything other than pixels.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.start screenruler
2.start measuring
Actual results:
screenruler just uses 100 dpi to convert pixels to cm and inch.

Expected results:
screenruler should use the actual dpi of the screen.

Additional info:
Comment 1 Sjoerd Mullender 2008-11-06 17:10:41 EST
Oops, forgot to add the verion number: screenruler-0.85-2.fc9.noarch.
Comment 2 Sjoerd Mullender 2008-11-12 16:14:42 EST
Some more information:

When I tried this, my Gnome appearance settings (System->Preferences->Look and Feel->Appearance, Fonts tab, Details...) were 100 dpi.  Today I discovered that setting and changed it to the correct 133.  After I did that, screenruler used the new setting.

I guess this begs the question, why are there two settings for dpi?  One which is correct (in that it actually relates physical pixels with real world inches) and one which is unrelated to any reality.

I am going to revert the dpi settings in Gnome to 100 since it really screws up all font settings.  But this is unrelated to screenruler.
Comment 3 Bug Zapper 2009-06-09 23:11:48 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
Comment 4 Bug Zapper 2009-07-14 10:04:33 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.